<?php
define('NTLCMS', 1);
$module = 'panel';
include ('../system/start.php');
include ('../system/function.php');
include ('../system/antidos.php');
include ('../system/head.php');
################################################################################
if ($active && $_USER['admin'] == '1'){
################################################################################
echo '<div class="title"><b>'.razd.' Админ-Панель | Модули системы</b></div>';
################################################################################

if (!isset($_POST['ok'])){
echo '<div class="menu">';
echo '<form action="'.URL.'/_modules" method="post" name="form">';

echo '<input type="checkbox" name="news" value="1"'.check(1, $set['news']).'"/> <b>Закрыть новости?</b><br/>';
echo '<input type="checkbox" name="chat" value="1"'.check(1, $set['chat']).'"/> <b>Закрыть мини-чат?</b><br/>';
echo '<input type="checkbox" name="mails" value="1"'.check(1, $set['mails']).'"/> <b>Закрыть почту?</b><br/>';
echo '<input type="checkbox" name="reviews" value="1"'.check(1, $set['reviews']).'"/> <b>Закрыть отзывы?</b><br/>';

echo '<input name="ok" type="submit" value="Сохранить настройки" /></form></div>';

echo '<div class="block"><i class="fa fa-home fa-fw"></i> <a href="'.URL.'/cabinet">В кабинет</a> | <a href="'.URL.'/_control">Админ-Панель</a></div>';

} else {	

$news = isset($_POST['news']) ? filter_var($_POST['news'], FILTER_SANITIZE_NUMBER_INT) : '0';
$chat = isset($_POST['chat']) ? filter_var($_POST['chat'], FILTER_SANITIZE_NUMBER_INT) : '0';
$mails = isset($_POST['mails']) ? filter_var($_POST['mails'], FILTER_SANITIZE_NUMBER_INT) : '0';
$reviews = isset($_POST['reviews']) ? filter_var($_POST['reviews'], FILTER_SANITIZE_NUMBER_INT) : '0';

DB :: run() -> query("update `set` set `value` = '".$news."' where `name` = 'news'");	
DB :: run() -> query("update `set` set `value` = '".$chat."' where `name` = 'chat'");
DB :: run() -> query("update `set` set `value` = '".$mails."' where `name` = 'mails'");
DB :: run() -> query("update `set` set `value` = '".$reviews."' where `name` = 'reviews'");

$_SESSION['success'] = 'Настройки успешно изменены!';
header('Location: '.URL.'/_modules');	
}

} else {
echo '<div class="title"><b>'.razd.' Проверка прав доступа</b></div>';
echo '<div class="menu"><center><i class="fa fa-close fa-fw"></i> Доступ запрещен!</center></div>';
echo '<div class="block"><i class="fa fa-home fa-fw"></i> '.(isset($active) ? '<a href="'.URL.'/cabinet">В кабинет</a>' : '<a href="'.URL.'">На главную</a>').'</div>';
}

include ('../system/foot.php');
?>